import 'package:objd/basic/file.dart';
import 'package:objd/basic/widget.dart';
import 'package:objd/build/context.dart';

abstract class Pack {
	final String _name;
	final List<File> _files = [];

	Pack(this._name);

	String get name {
		return _name;
	}

	List<File> get files {
		return _files;
	}

	Widget onLoad(Context context);
	Widget onTick(Context context);
}
